Api reference
GET Fs Git Diff
GET
/v1/fs/git/diffAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
path*string
mode*string
Value in
- "uncommitted"
- "unstaged"
- "staged"
- "branch"
- "lastTurn"
base?string
Branch mode's base ref; defaults to the repository's default branch.
revision?string
A previous response's revision; when still current, files are not resent.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/fs/git/diff?path=string&mode=uncommitted"{ "mode": "uncommitted", "repositoryRoot": "string", "base": "string", "files": [ { "path": "string", "oldPath": "string", "status": "added", "fingerprint": "string", "oldText": "string", "newText": "string", "omitted": "binary" } ], "truncated": true, "revision": "string", "unchanged": true}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}